KILLALL(1)

NOM
killall - Envoyer un signal à des processus indiqués par leurs noms

SYNOPSIS
killall [-Z,--context pattern] [-e,--exact] [-g,--process-group] [-i,--interactive] [-q,--quiet] [-r,--regexp] [-s,--signal signal] [-u,--user user] [-v,--verbose] [-w,--wait] [-I,--ignore-case] [-V,--version] [--] nom ...
killall -l
killall -V,--version

DESCRIPTION
killall envoie un signal à tous les processus en train d'exécuter les commandes mentionnées. Si aucun signal n'est précisé, TERM est envoyé.

Les signaux peuvent être indiqués soit par leur nom (par exemple -HUP ou -SIGHUP), soit par leur numéro (par exemple -1), soit par l'option -s.

Si le nom de la commande n'est pas une expression rationnelle (option -r) et qu'elle contient une barre oblique (/), les processus exécutant ce fichier seront sélectionnés, indépendamment de leurs noms.

killall renvoie zéro si au moins un processus a reçu un signal pour chaque commande mentionnée, ou aucune commande n'est mentionnée et au moins un processus correspond aux critères de recherche -u et -Z. killall renvoie un code non-nul dans tous les autres cas.

Un processus killall ne s'envoie jamais de signal à lui-même (mais il peut en envoyer à d'autres processus killall).

OPTIONS

-e, --exact
    Demander une correspondance exacte pour les noms très longs. Si un nom de commande est plus long que 15 caractères, il peut être tronqué (s'il est swappé, par ex.) Ainsi, killall tuera tout ce qui correspond aux 15 premiers caractères. Avec l'option -e, les entrées partielles sont sautées, et killall affiche un message pour chacune d'entre-elles si -v est spécifiée avec -e.

-I, --ignore-case
    Ne pas tenir compte de la casse (différence majuscule/minuscule) lors de la mise en correspondance du nom.

-g, --process-group
    Tuer le groupe auquel le processus appartient. Le signal n'est envoyé qu'une seule fois au groupe, même si plusieurs processus lui appartenant ont été trouvés.

-i, --interactive
    Demander confirmation interactivement avant l'émission du signal.

-l, --list
    Afficher la liste de tous les signaux connus.

-q, --quiet
    Ne pas se plaindre si aucun processus n'est tué.

-r, --regexp
    Interpréter le motif « nom du processus » comme une expression rationnelle étendue.

-s, --signal
    Envoyer le signal fourni à la place du signal TERM.

-u, --user
    Envoyer le signal aux seuls processus appartenant à l'utilisateur spécifié. Les noms de commande sont optionnels.

-v, --verbose
    Afficher un compte-rendu de l'émission du signal.

-V, --version
    Afficher un numéro de version.

-w, --wait
    Attendre que tous les processus tués meurent. killall vérifiera une fois par seconde s'il existe encore un processus visé, et ne reviendra que lorsqu'il n'y en aura plus. Notez que killall peut attendre indéfiniment si le signal est ignoré, n'a pas d'effet ou si le processus reste à l'état zombie.

-S  (Flask seulement) Ne tuer que les processus avec le SID indiqué. Impossible avec -c. Doit précéder les autres arguments sur la ligne de commande.

-c  (Flask seulement) Ne tuer que les processus avec le contexte de sécurité indiqué. Impossible avec -S. Doit précéder les autres arguments sur la ligne de commande.

-Z, --context
    (SELinux seulement) Spécifie le contexte de sécurité : envoyer le signal aux seuls processus dont le contexte de sécurité correspond au motif de l'expression rationnelle étendue fournie. Doit précéder les autres arguments sur la ligne de commande. Les noms de commande sont optionnels.

FICHIERS
/proc Emplacement du système de fichiers proc

BOGUES
La sélection des processus par nom de fichier ne fonctionne que pour les exécutables qui sont maintenus ouverts pendant l'exécution. Un exécutable corrompu ne peut pas être tué de cette manière.

Attention, la commande killall nom n'a peut-être pas la même signification sur des systèmes non-Linux, tout spécialement lorsqu'elle est invoquée par un utilisateur privilégié...

killall -w ne détecte pas si un processus disparaît et est remplacé par un nouveau processus avec le même PID entre deux examens.

Si les processus modifient leurs noms, killall peut ne pas être capable de les mettre en correspondance correctement.

AUTEURS
Werner Almesberger <werner.almesberger@lrc.di.epfl.ch> a codé la version originale de psmisc. Depuis la version 20, Craig Small <csmall@small.dropbear.id.au> peut être rendu responsable.

VOIR AUSSI
kill(1), fuser(1), pgrep(1), pidof(1), ps(1), kill(2)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 8 juin 1997, mise à jour par Alain Portal <aportal AT univ-montp2 DOT fr> le 15 mai 2006 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 killall ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.